//
//  ViewController.h
//  VideoCameraTest
//
//  Created by Shimoda on 2015/09/13.
//  Copyright © 2015年 Osamu Envision Technology Inc. All rights reserved.
//

#import     <UIKit/UIKit.h>
#import     <AVFoundation/AVFoundation.h>

@interface ViewController : UIViewController
<AVCaptureVideoDataOutputSampleBufferDelegate>
{
    BOOL                    m_fBackCamera;
    CIContext               *m_ciContext;
    AVCaptureSession*       m_AVCapSession;
    BOOL                    m_fMono;
}

@property (retain, nonatomic) IBOutlet UIImageView *videoImageView;
@property (retain, nonatomic) IBOutlet UIImageView *monoImageView;

- (IBAction)StartCapture:(id)sender;
- (IBAction)StartCaptureWithCreateCGImage:(id)sender;
- (IBAction)StopCapture:(id)sender;



- (AVCaptureDevice *)frontCamera;
- (AVCaptureDevice *)backCamera;

@end

